Bug 729011 - Failed to find the .debug_info section in a debuginfo file
Summary: Failed to find the .debug_info section in a debuginfo file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ricci
Version: 6.3
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Chris Feist
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks: 727919 756082
TreeView+ depends on / blocked
 
Reported: 2011-08-08 15:19 UTC by Karel Klíč
Modified: 2013-03-03 23:03 UTC (History)
3 users (show)

Fixed In Version: ricci-0.16.2-48.el6
Doc Type: Bug Fix
Doc Text:
No Documentation Needed
Clone Of:
Environment:
Last Closed: 2012-06-20 14:13:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0898 normal SHIPPED_LIVE ricci bug fix and enhancement update 2012-06-19 19:50:47 UTC

Description Karel Klíč 2011-08-08 15:19:23 UTC
A problem related to debuginfo was found in the ricci-0.16.2-35.el6 package. This issue might affect crash analysis done by Automatic Bug Reporting Tool and its retrace server, and also prevent proper debugging of crashes via GDB.

When a binary is compiled without gcc's -g option, no debugging information is generated and rpmbuild creates almost-empty debuginfo file, which cannot be used for debugging. Please fix the package build process to use $RPM_OPT_FLAGS, which include the -g option among others.

path: /usr/lib/debug/usr/bin/ccs_sync.debug
package: ricci-debuginfo-0.16.2-35.el6.i686

This issue can be investigated and tested by using eu-readelf tool from the elfutils package. Use `eu-readelf --section-headers /usr/lib/debug/usr/bin/<debuginfofile>.debug` to see if debuginfo file contains .debug_info section. It is supposed to be there.

(This bug was detected and filed by a script.)

Comment 2 Chris Feist 2011-08-08 19:56:46 UTC
Too late for 6.2, bumping to 6.3.

Comment 5 Chris Feist 2012-02-08 00:54:24 UTC
Before fix:
[root@ask-03 ~]# eu-readelf --section-headers /usr/lib/debug/usr/bin/ccs_sync.debug | grep info
[root@ask-03 ~]# 


After Fix:

[root@ask-03 ~]# eu-readelf --section-headers /usr/lib/debug/usr/bin/ccs_sync.debug | grep info
[29] .debug_info          PROGBITS     0000000000000000 00000696 00008b1d  0        0   0  1

Git commit here: http://git.fedorahosted.org/git/?p=conga.git;a=commitdiff;h=9719140d8de12ba5f65f4f2cb18da6132a92a699

Comment 6 Chris Feist 2012-02-28 00:12:30 UTC
Testing with ricci-0.16.2-48.el6:


[root@ask-04 ~]# eu-readelf --section-headers /usr/lib/debug/usr/bin/ccs_sync.debug | grep info
[29] .debug_info          PROGBITS     0000000000000000 00000696 00008b47  0        0   0  1

Comment 8 Chris Feist 2012-03-15 19:42:28 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
No Documentation Needed

Comment 10 errata-xmlrpc 2012-06-20 14:13:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0898.html


Note You need to log in before you can comment on or make changes to this bug.